Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.component
Class ComponentsEnvironment

    java.lang.Object
      net.sf.jasperreports.engine.component.ComponentsEnvironment

    public final class ComponentsEnvironment

extends java.lang.Object

A class that provides access to `component bundles`.

Component bundles are registered as JasperReports extensions of type `ComponentsBundle` via the central extension framework (see `ExtensionsEnvironment`).

Version:
  $Id: ComponentsEnvironment.java 3713 2010-04-08 11:06:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`protected static java.util.Map` | `findComponentBundles()`
`protected static java.util.Map` | `getCachedComponentBundles()`
`static java.util.Collection` | `getComponentBundles()` Returns the set of all component bundles present in the registry.
`static ComponentManager` | `getComponentManager(ComponentKey componentKey)` Returns a component manager that corresponds to a particular component type key.
`static ComponentsBundle` | `getComponentsBundle(java.lang.String namespace)` Returns a component bundle that corresponds to a namespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getComponentBundles

    public static java.util.Collection getComponentBundles()

  Returns the set of all component bundles present in the registry.

  Returns:
    the set of component bundles

### getCachedComponentBundles

    protected static java.util.Map getCachedComponentBundles()

### findComponentBundles

    protected static java.util.Map findComponentBundles()

### getComponentsBundle

    public static ComponentsBundle getComponentsBundle(java.lang.String namespace)

  Returns a component bundle that corresponds to a namespace.

  Parameters:
    `namespace` - a component bundle namespace
  Returns:
    the corresponding component bundle
  Throws:
    `JRRuntimeException` - if no bundle corresponding to the namespace is found in the registry

### getComponentManager

    public static ComponentManager getComponentManager(ComponentKey componentKey)

  Returns a component manager that corresponds to a particular component type key.

  Parameters:
    `componentKey` - the component type key
  Returns:
    the manager for the component type
  Throws:
    `JRRuntimeException` - if the registry does not contain the specified component type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com